nf-wave changelog
==================
1.21.1 - 15 Jul 2026
- Recognize parameterized Map config options and wave.build.compression sub-keys in config validation (#7335) [5b8ce02da]

1.21.0 - 28 May 2026
- Support fetching local files in `FUSION_CONTAINER_CONFIG_URL` (#7142) [0d1ece8c9]
- Bump lib-httpx@2.3.0 (#7181) [1c47215a8]

1.20.0 - 25 Apr 2026
- Add Apple container engine support (#7073) [2f7a3c455]

1.19.1 - 20 Apr 2026
- Fix resolution of `-with-tower` with `TOWER_API_ENDPOINT` (#7045) [ce962e882]

1.19.0 - 17 Mar 2026
- Add multi-arch support to arch process directive (#6897) [c7ca36902]
- Default Fusion to v2.6 for Seqera executor (#6933) [8a7e53957]

1.18.0 - 19 Dec 2025
- Fix WaveClient sending Bearer token to public S3 URLs (#6672) [ffaef0b6a]
- Add wave.build.template config option (#6639) [d08a8952a]

1.17.0 - 28 Nov 2025
- Bump Fusion to version 2.5 (#6557) [ec228f64f]

1.16.1 - 21 Oct 2025
- Rename `config.schema` package to `config.spec` (#6485) [ef0d2d601]

1.16.0 - 8 Oct 2025
- Fix cookie policy for Seqera Platform JWT token refresh (#6411) [c3959cfc3]

1.14.1 - 15 Aug 2025
- Unify nf-lang config scopes with runtime classes (#6271) [bfa67ca3]
- Update trace observers to v2 (#6257) [544b8c47]
- Bump groovy 4.0.28 (#6304) [ci fast] [a468f8ef]
- Bump org.apache.commons:commons-lang3 from 3.12.0 to 3.18.0 (#6272) [b8ccddb5]

1.14.0 - 6 Jul 2025
- Fix http response err message [1f05451f]
- Unwrap Failsafe exception cause in Wave client [0cb39df5]
- Update wave retryPolicy default values (#6222) [b8069a58]
- Bump Slf4j version 2.0.17 [93199e09]
- Bump gson version 2.13.1 [ab8e36a2]

1.13.0 - 2 Jun 2025
- Deprecated condaFile attribute [9e52b2ad]
- Add support for container build compression (#5964) [daeefa0c]
- Minor import change [e0f21f87]
- Bump Groovy to version 4.0.27 (#6125) [258e1790]

1.12.1 - 12 May 2025
- Add support for ARM and Snapshots (#6057) [ef4c3865]

1.12.0 - 23 Apr 2025
- Add support for Fusion Snapshots (#5954) [d7f047f8]
- Revert Bump Fusion to version 2.5 [49b58d2d]

1.11.1 - 5 Apr 2025
- Fix date format in Wave containers meta (#5903) [59536c0a]

1.11.0 - 17 Mar 2025
- Add Wave container metadata to Platform traces (#5724) [b81178c5]
- Align container platform with `arch` directive when using Wave (#5847) [b9d23e22]
- Remove Spack from Wave (2nd) [076c8237]
- Remove Spack from Wave assets [9c554de9]
- Bump groovy 4.0.26 [f740bc56]

1.10.0 - 12 Jab 2025
- Add Fusion token validation (#5614) [1dcb18d6]
- Add traceparent header to wave & tower clients (#5725) [7eea9f2d]
- Bump Fusion to version 2.5 (2nd attempt) [a7f09ae4]
- Bump groovy 4.0.25 [19c40a4a]

1.9.0 - 20 Jan 2025
- Add rate limiter to wave requests (#5608) [ecf68294]
- Improve inspect mode (#5605) [8e2056e7]
- Bump logback 1.5.13 + slf4j 2.0.16 [cc0163ac]
- Bump groovy 4.0.24 missing deps [40670f7e]

1.8.0 - 3 Dec 2024
- Fix missing wave response (#5547) [ee252173]
- Update wave deps [09ccd295]
- Fix isContainerReady when wave is disabled (#5509) [3215afa8]
- Bump groovy 4.0.24 [dd71ad31]

1.7.2 - 27 Oct 2024
- Add wave mirror vs module bundles conflicts warning [b37a8a5b]

1.7.1 - 14 Oct 2024
- Change to scan.levels to scan.allowedLevels (#5401) [88a1b1b5]
- Fix inspect concretize option [0ee29a87]

1.7.0 - 13 Oct 2024
- Add support for Wave  container status API  (#5384) [873703ad] [9ed18a88]
- Remove unused reportsOpts (#5379) [e794e868]
- Sunsetting Spack support in Wave [3a54cb3b]

1.6.0 - 2 Oct 2024
- Improve Wave build timeout handling (#5304) [05bef7e4]
- Bump groovy 4.0.23 (#5303) [fe3e3ac7]

1.5.1 - 4 Sep 2024
- Wave client logs improvement [5a37e617]

1.5.0 - 5 Aug 2024
- Await build completion for all Wave containers [2b8117e9]
- Bump pf4j to version 3.12.0 [96117b9a]
- Bump wave-api to 0.11.1 [96ec4ded]

1.4.4 - 8 Jul 2024
- Bump groovy 4.0.22 [284a6606]
- Bump Fusion 2.4 (#5080) [0a8a484e]

1.4.3 - 17 Jun 2024
- Fix support for s5cmd 2.2.2 (#5069) [7e78bd4d]

1.4.2-patch1 - 1 Aug 2024
- Bump wave-api to 0.11.1 [87828afd]
- Bump pf4j to version 3.12.0 [1a8f086a]

1.4.2 - 20 May 2024
- Bump Fusion 2.3 (#5005) [7176c113]
- Remove `seqera` and `defaults` from Conda default channels (#5003) [ec5ebd0b]
- Fix unexpected container resolution [a5ecf8a4]

1.4.1 - 13 May 2024
- Remove unused const [6e91285d]
- Fix Wave container resolution with singularity and ociMode [54ad6241]

1.4.0 - 15 Apr 2024
- Update Wave to API v1alpha2 (#4906) [9c350872]
- Update Platform API endpoint (#4855) [4842423a]
- Bump groovy 4.0.21 [9e08390b]

1.3.1 - 10 Mar 2024
- Bump snakeyaml 2.2 [07480779]
- Bump groovy 4.0.19 [854dc1f0]

1.3.0 - 5 Feb 2024
- Fix handling of  wave.s5cmdConfigUrl setting (#4707) [3a19386d]
- Fix Wave container replicable checksum [da382ddf]
- Bump Groovy 4 (#4443) [9d32503b]

1.2.0 - 20 Dec 2023
- Add support for Singularity/Apptainer auto pull mode for OCI containers [b7f1a192]
- Add experimental support for Fargate compute type for AWS Batch (#3474) [47cf335b]
- Remove deprecated Wave observer [0e009ef7]
- Bump wave-utils@0.8.1 and micromamba@1.5.5 [9cb50035]

1.1.0 - 24 Nov 2023
- Add Retry policy to Google Storage (#4524) [c271bb18]
- Add support for Singularity OCI mode (#4440) [f5362a7b]
- Fix detection of Conda local path made by Wave client (#4532) [4d5bc216]
- Fix security vulnerabilities (#4513) [a310c777]
- Fix container hashing for Singularity + Wave containers [4c6f2e85]
- Use consistently NXF_TASK_WORKDIR (#4484) [48ee3c64]
- Fix Inspect command fails with Singularity [f5bb829f]

1.0.1-patch1 - 28 May 2024
- Bump dependency with Nextflow 23.10.2

1.0.1 - 12 Jan 2024
- Fix Inspect command fails with Singularity [25883df3]

1.0.0 - 15 Oct 2023
- Fix conda channels order [6672c6d7]
- Bump nf-wave@1.0.0 [795849d7]

0.14.0 - 10 Oct 2023
- Add bioconda and seqera Conda default channels (#4359) [ff012dcd]
- Improve Wave error handling [d47e8b07]
- Improve Wave config validation [7d5a21b0]

0.13.0 - 28 Sep 2023
- Wave does not support 'null' container engine [f3eba3d7]
- Default Conda basePackages to "conda-forge::procps-ng" [367af52f]
- Add procps by default to Conda-based Wave builds [66b2d2d2]
- Improve wave container name validation [73eb5a02]
- Bump wave-utils@0.7.8 [d0c47d49]

0.12.0 - 10 Sep 2023
- Add support for Spack to Singularity builds [23c4ec1d]
- Add inspect command (#4069) [090c31ce]
- Add support for Wave native build for singularity [8a434893]
- Fix Wave build when Conda package name is quoted [d19cb0b7]
- Fix Wave build for Singularity files [a60ef72b]
- Improve Wave handing of Conda envs [736ab9bb]
- Deprecated Wave report feature [80c5cb27]
- Bump groovy 3.0.19 [cb411208]

0.11.2 - 17 Aug 2023
- Use root user in Wave container based on micromamba (#4038) [a3a75ea2]
- Add 429 http status code to Wave retriable errors [8eb5f305]

0.11.1 - 5 Aug 2023
- Improve Wave config logging [547fad62]
- Increase Wave client max attempts [fe5dd497]
- Enable use virtual threads in Wave client [dd32f80a]
- Fix Wave disable flag [8579e7a4]

0.11.0 - 22 Jul 2023
- Add support legacy wave retry [73a1e7d4]
- Add support for Wave container freeze [9a5903e6]
- Add retry logic to wave image await [9fc1d3bd]
- Add missing header to wave container await [d39866e6]
- Allow disabling the Wave requirement when Fusion is enabled [9180d633]
- Improve handling Wave server errors [84f7a61a]
- Bump micromamba 1.4.9 [6307f9b5]
- Remove default arch from wave request [f0e5c0c1]
- Bump Groovy 3.0.18 [207eb535]

0.10.0 - 14 Jun 2023
- Add retry policy to Wave http client [1daebeef]
- Add support for arch auto-detection to Wave [7b5fdaf0]
- Add Wave containers reports (preview) [9d9e2758]
- Add wave.httpClient.connectTimeout config option [dd999a3c]
- Consolidate Wave retryPolicy options [7d7464fe]
- Enhanced support for Spack + Wave (#3998) [63ac03b3]
- Refactor Conda and Spack support for Wave to Java [36b9e226]
- Minor change in Wave config [4da0442a]
- Fix log typo [f6e4b9ba]

0.9.0 - 15 Apr 2023
- Add support for the Spack recipes to Wave build (#3636) [b03cbe70]
- Update logging libraries [d7eae86e]
- Bump micromamba:1.4.2 [334df1e0]
- Bump fusion 2.2 [f1ebe29a]
- Bump groovy 3.0.17 [cfe4ba56]

0.8.2 - 15 Apr 2023
- Security fixes [83e8fd6a]

0.8.1 - 1 Apr 2023
- Bump micromamba 1.4.1 [ec1439e6]
- Fix NoSuchMethodError String.stripIndent with Java 11 [308eafe6]

0.8.0 - 19 Mar 2023
- Add workflowId to wave request [025ff9d0]
- Add basePackages option to Wave config [7e827810]
- Bump groovy 3.0.16 [d3ff5dcb]

0.7.0 - 14 Jan 2022
- Improve container native executor configuration [03126371]
- Prevent redirection on Wave client [124cfb3e]
- Refactor Fusion package [52f4c5d5]
- Update groovy deps [6f3ed6e8]

0.6.3 - 13 Dic 2022
- Fix Wave layer invalid checksum due to not closed stream [e188bbf9]
- Fix Fusion test [2245a1c7]
- Add support for Fusion ARM64 client [d073c538]
- Improve Wave config error reporting [ae502668]
- Bump fusion version URLs 0.6 [a160a8b1]
- Bump nf-wave@0.6.3 [0cb6ca6a]

0.6.2 - 8 Dec 2022
- Add support for Fusion ARM64 client [d073c538]
- Improve Wave config error reporting [ae502668]
- Bump fusion version URLs 0.6 [b119a47e]

0.6.1 - 29 Nov 2022
- Add support for custom conda channels (#3435) [0884e80e]

0.6.0 - 23 Nov 2022
- Add support for Wave containerPlatform [10d56ca1]
- Add tower endpoint to wave [b725ddc4]
- Bump micromamba@1.0.0 [c7fd5d26]
- Bump micromamba:0.27.0 [904c9409]
